Subject: [rohc] Possible using ROHC on a multinode subnet?

From: gorry fairhurst <[email-masked]>
Date: Fri, 07 May 2004 11:57:07 +0100

When you say:
 > "So I would like to know if a single instance of a
 > compressor/decompressor can handle different layer-2 endpoints."

Do you mean point-to-multipoint boadcast/multicast (or are these
sperate link layer unicast communications to several different
end points?)

best wishes,

Gorry Fairhurst

Maarten Gerbrands (NC3A) wrote:

 > Dear ROHC experts,
 >
 > I am currently researching ways to improve TCP/IP networking using NATO
 > STANAG 5066 HF packet radio as a data link layer.
 > HF packet radio is a wireless network which can operate over very long
 > distances.
 > The link speeds are slow (max 9600 bits per sec.), and delays are high
 > (RTT something like 4 to 5 seconds).
 >
 > I believe ROHC is the most promising header compression scheme for
 > TCP/IP over HF, however I don't know if it can operate in a data link 
layer (subnet)
 > with multiple nodes.
 > I understand it less efficient as a link with just two end points.
 > Note that HF subnets are normally operating with just a few nodes in one
 > subnet.
 >
 > So I would like to know if a single instance of a
 > compressor/decompressor can handle different layer-2 endpoints.
 >
 > If it is designed to do so, are there made any plans to register an
 > Ether Type assignment for use ROHC over Ethernet
 > like the registered VJHC(RFC 1144)? The reason I am interested in the 
Ether Type is because we have plans to
 > include the Ether Type field in the link layer protocol (STANAG 5066).
 >
 > Regards,
 >
 > Maarten Gerbrands
 > Architecture, Security and Interoperability Branch,
 > Communications and Information Systems Division
 > NATO C3 Agency
 >
 >
 >
 >
 >
 > _______________________________________________
 > Rohc mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/rohc
 >
 >

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc